Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.diagram.pathway
Class PathwayDiagramViewBuilder

    biouml.model.DefaultDiagramViewBuilder
      |
      +--biouml.standard.diagram.pathway.PathwayDiagramViewBuilder

Direct Known Subclasses:
  GeneNetDiagramViewBuilder, KeggPathwayDiagramViewBuilder, TranspathDiagramViewBuilder

public class PathwayDiagramViewBuilder
extends DefaultDiagramViewBuilder

Default implementation of `DiagramViewBuilder`.

Method Summary
`DiagramViewOptions` | `createDefaultDiagramViewOptions()`
`CompositeView` | `createEdgeView(Edge edge, DiagramViewOptions viewOptions, Graphics g)`
`CompositeView` | `createEquivalentNodeGroupView(EquivalentNodeGroup group, DiagramViewOptions options, Graphics g)`
`CompositeView` | `createNodeView(Node node, DiagramViewOptions options, Graphics g)`
`boolean` | `isReaction(Base kernel)`

Methods inherited from class biouml.model.DefaultDiagramViewBuilder
`calcAttachmentPoints, createCompartmentView, createDiagramView, getInsertActions, hide, hideElement, highlight, highlightNode, moveNode, proportion, removeElement, restoreView`

Method Detail

### createDefaultDiagramViewOptions

    public DiagramViewOptions createDefaultDiagramViewOptions()

### createEdgeView

    public CompositeView createEdgeView(Edge edge, DiagramViewOptions viewOptions, Graphics g)

  todo implement

### createEquivalentNodeGroupView

    public CompositeView createEquivalentNodeGroupView(EquivalentNodeGroup group, DiagramViewOptions options, Graphics g)

### createNodeView

    public CompositeView createNodeView(Node node, DiagramViewOptions options, Graphics g)

### isReaction

    public boolean isReaction(Base kernel)

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM